Package com.sas.lsaf.core.action

## Enum ActionStatus.CompletionStatus

- java.lang.Object
- - java.lang.Enum<ActionStatus.CompletionStatus>
  - - com.sas.lsaf.core.action.ActionStatus.CompletionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ActionStatus.CompletionStatus>`
  Enclosing class:
    ActionStatus

      public static enum ActionStatus.CompletionStatus
      extends java.lang.Enum<ActionStatus.CompletionStatus>

  Describes the completion status of either the overall action or an individual action status detail.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | The action did not complete successfully.
    `INFO` | The action completed successfully.
    `WARN` | The action completed successfully but there was a warning.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ActionStatus.CompletionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ActionStatus.CompletionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final ActionStatus.CompletionStatus INFO

      The action completed successfully.

    - #### WARN

          public static final ActionStatus.CompletionStatus WARN

      The action completed successfully but there was a warning.

    - #### ERROR

          public static final ActionStatus.CompletionStatus ERROR

      The action did not complete successfully.

  - ### Method Detail

    - #### values

          public static ActionStatus.CompletionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionStatus.CompletionStatus c : ActionStatus.CompletionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionStatus.CompletionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null